/**
*Transmission App
* Implementing Transmission App
*/
var MongodbApp = MongodbApp || {};  //Define Transmission App namespace.
/**
*Constructor UNAS App
*/
MongodbApp.App = function () {
    this.id = 'Mongodb';
    this.name = 'Mongodb';
    this.version = '6.0.4';
    this.active = false;
    this.menuIcon = '/apps/mongodb/images/logo.png?v=6.0.4&';
    this.shortcutIcon = '/apps/mongodb/images/logo.png?v=6.0.4&';
    this.entryUrl = '/apps/mongodb/mongodb.html?v=6.0.4&';
    var self = this;
    this.MongodbAppWindow = function () {
        if(UNAS.CheckAppState('Mongodb')){
            return false;
        }
        self.window=new MUI.Window({
            id: 'MongodbAppWindow',
            title: UNAS._('Mongodb'),
            icon: '/apps/mongodb/images/logo_small.png?v=6.0.4&',
            loadMethod: 'xhr',
            width: 750,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [650, 1200], 'y': [450, 900] },
            contentURL: '/apps/mongodb/mongodb.html?v=6.0.4&',
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("Mongodb",'MongodbAppWindow')}
        });
    };
    this.MongodbUninstall = function (){
        UNAS.RemoveDesktopShortcut('Mongodb');
        UNAS.RemoveMenu('Mongodb');
        UNAS.RemoveAppFromGroups('Mongodb', 'ControlPanel');
        UNAS.RemoveAppFromApps('Mongodb');
    };
    new UNAS.Menu('UNAS_App_SystemTools_Menu', this.name, this.menuIcon, 'Mongodb', '', this.MongodbAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Mongodb', this.MongodbAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'SystemTools', 'Location' : 5, "Icon": this.shortcutIcon, "Url": this.entryUrl}, {});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('Mongodb', UNAS._('Mongodb')); //translate menu
        UNAS.SetShortcutTitle('Mongodb', UNAS._('Mongodb'));
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('MongodbAppWindow', UNAS._('Mongodb'));
        }
    };
    UNAS.LoadTranslation('/apps/mongodb/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.MongodbAppWindow, this.MongodbUninstall);
};

new MongodbApp.App();
